Package org.apache.synapse.commons.evaluators.config

# Class MatchSerializer

java.lang.Object
org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer
org.apache.synapse.commons.evaluators.config.TextProcessingEvaluatorSerializer
org.apache.synapse.commons.evaluators.config.MatchSerializer

All Implemented Interfaces:
  `EvaluatorSerializer`

public class MatchSerializer extends TextProcessingEvaluatorSerializer
Serialize the `MatchEvaluator` to the XML configuration defined in the `MatchFactory`.

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

  `fac, log, nullNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatchSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axiom.om.OMElement`
  `serialize(org.apache.axiom.om.OMElement parent, Evaluator evaluator)`
  Serialze an Evaluator configuration to a XML element.

  ### Methods inherited from class org.apache.synapse.commons.evaluators.config.TextProcessingEvaluatorSerializer

  `serializeSourceTextRetriever`

  ### Methods inherited from class org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

  `serializeChild, serializeChildren`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MatchSerializer

    public MatchSerializer()

- ## Method Details

  - ### serialize

    public org.apache.axiom.om.OMElement serialize(org.apache.axiom.om.OMElement parent, Evaluator evaluator) throws EvaluatorException
    Description copied from interface: `EvaluatorSerializer`
    Serialze an Evaluator configuration to a XML element.
    Parameters:
      `parent` - if not null the serialize element will be added to the parent
      `evaluator` - The `Evaluator` object to be serialized
    Returns:
      `OMElement` containing the configuration
    Throws:
      `EvaluatorException` - if an error occurs while serializing